package ch.epfl.ppo;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public final class Main {
    public static void main(String[] args) throws IOException {
        BufferedReader dataReader = new BufferedReader(new InputStreamReader(Main.class.getResourceAsStream("/data.txt")));
        int valuesCount = Integer.parseInt(dataReader.readLine());

        List<Cell> cells = new ArrayList<>(valuesCount);
        for (int i = 0; i < valuesCount; ++i)
            cells.add(new Cell());

        StemAndLeafPlot salPlot = new StemAndLeafPlot(cells);
        for (int i = 0; i < valuesCount; ++i) {
            int dataValue = Integer.parseInt(dataReader.readLine());
            cells.get(i).setValue(dataValue);
        }
    }
}
